LUCES< STANDARD > Struct Template Reference

LUC cryptosystem. More...

`#include <luc.h>`

Inheritance diagram for LUCES< STANDARD >:

## Public Types

typedef STANDARD | Standard
| see EncryptionStandard for a list of standards
typedef TF_CryptoSchemeOptions< TF_ES< STANDARD, LUC, int >, LUC, MessageEncodingMethod > | SchemeOptions
typedef PK_FinalTemplate< TF_DecryptorImpl< SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate< TF_EncryptorImpl< SchemeOptions > > | Encryptor
| implements PK_Encryptor interface
typedef LUCFunction | PublicKey
typedef InvertibleLUCFunction | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD>
struct LUCES< STANDARD >

LUC cryptosystem.

Definition at line 95 of file luc.h.

The documentation for this struct was generated from the following file:

- luc.h